{
  "runtimeTarget": {
    "name": ".NETCoreApp,Version=v6.0",
    "signature": ""
  },
  "compilationOptions": {},
  "targets": {
    ".NETCoreApp,Version=v6.0": {
      "Bro.UI.Model.Winform/1.0.0": {
        "dependencies": {
          "Bro.Common.Model": "1.0.0",
          "Krypton.Docking": "6.2111.312",
          "SunnyUI": "3.0.9",
          "halcondotnet": "12.0.0.0",
          "runtimepack.Microsoft.Windows.SDK.NET.Ref": "10.0.19041.28"
        },
        "runtime": {
          "Bro.UI.Model.Winform.dll": {}
        }
      },
      "runtimepack.Microsoft.Windows.SDK.NET.Ref/10.0.19041.28": {
        "runtime": {
          "Microsoft.Windows.SDK.NET.dll": {
            "assemblyVersion": "10.0.19041.24",
            "fileVersion": "10.0.19041.28"
          },
          "WinRT.Runtime.dll": {
            "assemblyVersion": "2.0.0.0",
            "fileVersion": "2.0.1.40881"
          }
        }
      },
      "Autofac/6.3.0": {
        "dependencies": {
          "System.Diagnostics.DiagnosticSource": "4.7.1"
        },
        "runtime": {
          "lib/net5.0/Autofac.dll": {
            "assemblyVersion": "6.3.0.0",
            "fileVersion": "6.3.0.0"
          }
        }
      },
      "Krypton.Docking/6.2111.312": {
        "dependencies": {
          "Krypton.Navigator": "6.2111.312",
          "Krypton.Toolkit": "6.2111.312",
          "Krypton.Workspace": "6.2111.312"
        },
        "runtime": {
          "lib/net6.0-windows7.0/Krypton.Docking.dll": {
            "assemblyVersion": "6.2111.312.0",
            "fileVersion": "6.2111.312.0"
          }
        }
      },
      "Krypton.Navigator/6.2111.312": {
        "dependencies": {
          "Krypton.Toolkit": "6.2111.312"
        },
        "runtime": {
          "lib/net6.0-windows7.0/Krypton.Navigator.dll": {
            "assemblyVersion": "6.2111.312.0",
            "fileVersion": "6.2111.312.0"
          }
        }
      },
      "Krypton.Toolkit/6.2111.312": {
        "runtime": {
          "lib/net6.0-windows7.0/Krypton.Toolkit.dll": {
            "assemblyVersion": "6.2111.312.0",
            "fileVersion": "6.2111.312.0"
          }
        }
      },
      "Krypton.Workspace/6.2111.312": {
        "dependencies": {
          "Krypton.Navigator": "6.2111.312",
          "Krypton.Toolkit": "6.2111.312"
        },
        "runtime": {
          "lib/net6.0-windows7.0/Krypton.Workspace.dll": {
            "assemblyVersion": "6.2111.312.0",
            "fileVersion": "6.2111.312.0"
          }
        }
      },
      "Microsoft.NETCore.Platforms/1.1.0": {},
      "Microsoft.NETCore.Targets/1.1.0": {},
      "Newtonsoft.Json/13.0.1": {
        "runtime": {
          "lib/netstandard2.0/Newtonsoft.Json.dll": {
            "assemblyVersion": "13.0.0.0",
            "fileVersion": "13.0.1.25517"
          }
        }
      },
      "runtime.linux-arm.runtime.native.System.IO.Ports/7.0.0": {
        "runtimeTargets": {
          "runtimes/linux-arm/native/libSystem.IO.Ports.Native.so": {
            "rid": "linux-arm",
            "assetType": "native",
            "fileVersion": "0.0.0.0"
          }
        }
      },
      "runtime.linux-arm64.runtime.native.System.IO.Ports/7.0.0": {
        "runtimeTargets": {
          "runtimes/linux-arm64/native/libSystem.IO.Ports.Native.so": {
            "rid": "linux-arm64",
            "assetType": "native",
            "fileVersion": "0.0.0.0"
          }
        }
      },
      "runtime.linux-x64.runtime.native.System.IO.Ports/7.0.0": {
        "runtimeTargets": {
          "runtimes/linux-x64/native/libSystem.IO.Ports.Native.so": {
            "rid": "linux-x64",
            "assetType": "native",
            "fileVersion": "0.0.0.0"
          }
        }
      },
      "runtime.native.System.IO.Ports/7.0.0": {
        "dependencies": {
          "runtime.linux-arm.runtime.native.System.IO.Ports": "7.0.0",
          "runtime.linux-arm64.runtime.native.System.IO.Ports": "7.0.0",
          "runtime.linux-x64.runtime.native.System.IO.Ports": "7.0.0",
          "runtime.osx-arm64.runtime.native.System.IO.Ports": "7.0.0",
          "runtime.osx-x64.runtime.native.System.IO.Ports": "7.0.0"
        }
      },
      "runtime.osx-arm64.runtime.native.System.IO.Ports/7.0.0": {
        "runtimeTargets": {
          "runtimes/osx-arm64/native/libSystem.IO.Ports.Native.dylib": {
            "rid": "osx-arm64",
            "assetType": "native",
            "fileVersion": "0.0.0.0"
          }
        }
      },
      "runtime.osx-x64.runtime.native.System.IO.Ports/7.0.0": {
        "runtimeTargets": {
          "runtimes/osx-x64/native/libSystem.IO.Ports.Native.dylib": {
            "rid": "osx-x64",
            "assetType": "native",
            "fileVersion": "0.0.0.0"
          }
        }
      },
      "SunnyUI/3.0.9": {
        "dependencies": {
          "SunnyUI.Common": "3.0.9"
        },
        "runtime": {
          "lib/net6.0-windows7.0/SunnyUI.dll": {
            "assemblyVersion": "3.0.9.0",
            "fileVersion": "3.0.9.0"
          }
        }
      },
      "SunnyUI.Common/3.0.9": {
        "runtime": {
          "lib/net6.0/SunnyUI.Common.dll": {
            "assemblyVersion": "3.0.9.0",
            "fileVersion": "3.0.9.0"
          }
        }
      },
      "System.Diagnostics.DiagnosticSource/4.7.1": {},
      "System.Globalization/4.3.0": {
        "dependencies": {
          "Microsoft.NETCore.Platforms": "1.1.0",
          "Microsoft.NETCore.Targets": "1.1.0",
          "System.Runtime": "4.3.0"
        }
      },
      "System.IO/4.3.0": {
        "dependencies": {
          "Microsoft.NETCore.Platforms": "1.1.0",
          "Microsoft.NETCore.Targets": "1.1.0",
          "System.Runtime": "4.3.0",
          "System.Text.Encoding": "4.3.0",
          "System.Threading.Tasks": "4.3.0"
        }
      },
      "System.IO.Ports/7.0.0": {
        "dependencies": {
          "runtime.native.System.IO.Ports": "7.0.0"
        },
        "runtime": {
          "lib/net6.0/System.IO.Ports.dll": {
            "assemblyVersion": "7.0.0.0",
            "fileVersion": "7.0.22.51805"
          }
        },
        "runtimeTargets": {
          "runtimes/unix/lib/net6.0/System.IO.Ports.dll": {
            "rid": "unix",
            "assetType": "runtime",
            "assemblyVersion": "7.0.0.0",
            "fileVersion": "7.0.22.51805"
          },
          "runtimes/win/lib/net6.0/System.IO.Ports.dll": {
            "rid": "win",
            "assetType": "runtime",
            "assemblyVersion": "7.0.0.0",
            "fileVersion": "7.0.22.51805"
          }
        }
      },
      "System.Reflection/4.3.0": {
        "dependencies": {
          "Microsoft.NETCore.Platforms": "1.1.0",
          "Microsoft.NETCore.Targets": "1.1.0",
          "System.IO": "4.3.0",
          "System.Reflection.Primitives": "4.3.0",
          "System.Runtime": "4.3.0"
        }
      },
      "System.Reflection.Primitives/4.3.0": {
        "dependencies": {
          "Microsoft.NETCore.Platforms": "1.1.0",
          "Microsoft.NETCore.Targets": "1.1.0",
          "System.Runtime": "4.3.0"
        }
      },
      "System.Resources.ResourceManager/4.3.0": {
        "dependencies": {
          "Microsoft.NETCore.Platforms": "1.1.0",
          "Microsoft.NETCore.Targets": "1.1.0",
          "System.Globalization": "4.3.0",
          "System.Reflection": "4.3.0",
          "System.Runtime": "4.3.0"
        }
      },
      "System.Runtime/4.3.0": {
        "dependencies": {
          "Microsoft.NETCore.Platforms": "1.1.0",
          "Microsoft.NETCore.Targets": "1.1.0"
        }
      },
      "System.Text.Encoding/4.3.0": {
        "dependencies": {
          "Microsoft.NETCore.Platforms": "1.1.0",
          "Microsoft.NETCore.Targets": "1.1.0",
          "System.Runtime": "4.3.0"
        }
      },
      "System.Threading.Tasks/4.3.0": {
        "dependencies": {
          "Microsoft.NETCore.Platforms": "1.1.0",
          "Microsoft.NETCore.Targets": "1.1.0",
          "System.Runtime": "4.3.0"
        }
      },
      "Bro.Common.Model/1.0.0": {
        "dependencies": {
          "Autofac": "6.3.0",
          "Newtonsoft.Json": "13.0.1",
          "SunnyUI": "3.0.9",
          "System.IO.Ports": "7.0.0",
          "System.Resources.ResourceManager": "4.3.0"
        },
        "runtime": {
          "Bro.Common.Model.dll": {}
        },
        "resources": {
          "en-US/Bro.Common.Model.resources.dll": {
            "locale": "en-US"
          }
        }
      },
      "halcondotnet/12.0.0.0": {
        "runtime": {
          "halcondotnet.dll": {
            "assemblyVersion": "12.0.0.0",
            "fileVersion": "12.0.0.0"
          }
        }
      },
      "hdevenginedotnet/12.0.0.0": {
        "runtime": {
          "hdevenginedotnet.dll": {
            "assemblyVersion": "12.0.0.0",
            "fileVersion": "12.0.0.0"
          }
        }
      },
      "dog_net_windows/1.0.1.28668": {
        "runtime": {
          "dog_net_windows.dll": {
            "assemblyVersion": "1.0.1.28668",
            "fileVersion": "1.0.1.28668"
          }
        }
      }
    }
  },
  "libraries": {
    "Bro.UI.Model.Winform/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "runtimepack.Microsoft.Windows.SDK.NET.Ref/10.0.19041.28": {
      "type": "runtimepack",
      "serviceable": false,
      "sha512": ""
    },
    "Autofac/6.3.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-gO4bli0N8tDnBHzbYktcnbXlmN6T+IT5W+FUGgCUaM6pwwHXIxOPoUGvfGum7sZpJJgfQNgjFFv80ZPuARgRdA==",
      "path": "autofac/6.3.0",
      "hashPath": "autofac.6.3.0.nupkg.sha512"
    },
    "Krypton.Docking/6.2111.312": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-k9oYfKMBWUiNL3Q3tqnBInSVBU4T6KQx9ePhRa/kGwxiKkVFnoOTT4KCBCj6zPTR/Bsrtln2MFhfIdOiE5n4JQ==",
      "path": "krypton.docking/6.2111.312",
      "hashPath": "krypton.docking.6.2111.312.nupkg.sha512"
    },
    "Krypton.Navigator/6.2111.312": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-W3ddlpww0TneLUzchiEpjsPsu6NYPFN4eRZdoxqq3mveroeqlLmXttpPRrqikFSJnpwP8FNcwceCRSFuzpih+g==",
      "path": "krypton.navigator/6.2111.312",
      "hashPath": "krypton.navigator.6.2111.312.nupkg.sha512"
    },
    "Krypton.Toolkit/6.2111.312": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-aYUYphbuG9uqHVlNLNqRvi9tLhx5L2WGzD3fplV6kE6V1NhaY00Mz1HucGt23P90nU2KaecmsMrapZW5lSdd4w==",
      "path": "krypton.toolkit/6.2111.312",
      "hashPath": "krypton.toolkit.6.2111.312.nupkg.sha512"
    },
    "Krypton.Workspace/6.2111.312": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-l1M0OfJmpNn+JCjXRHWddDoAJMN/CXtdwXJIGM0C0HAZ7/8ezz3/EMip4I5HgQqiHcomsmqkKO0o40Sn70PVSQ==",
      "path": "krypton.workspace/6.2111.312",
      "hashPath": "krypton.workspace.6.2111.312.nupkg.sha512"
    },
    "Microsoft.NETCore.Platforms/1.1.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-kz0PEW2lhqygehI/d6XsPCQzD7ff7gUJaVGPVETX611eadGsA3A877GdSlU0LRVMCTH/+P3o2iDTak+S08V2+A==",
      "path": "microsoft.netcore.platforms/1.1.0",
      "hashPath": "microsoft.netcore.platforms.1.1.0.nupkg.sha512"
    },
    "Microsoft.NETCore.Targets/1.1.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-aOZA3BWfz9RXjpzt0sRJJMjAscAUm3Hoa4UWAfceV9UTYxgwZ1lZt5nO2myFf+/jetYQo4uTP7zS8sJY67BBxg==",
      "path": "microsoft.netcore.targets/1.1.0",
      "hashPath": "microsoft.netcore.targets.1.1.0.nupkg.sha512"
    },
    "Newtonsoft.Json/13.0.1": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-ppPFpBcvxdsfUonNcvITKqLl3bqxWbDCZIzDWHzjpdAHRFfZe0Dw9HmA0+za13IdyrgJwpkDTDA9fHaxOrt20A==",
      "path": "newtonsoft.json/13.0.1",
      "hashPath": "newtonsoft.json.13.0.1.nupkg.sha512"
    },
    "runtime.linux-arm.runtime.native.System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-CBvgRaF+M0xGLDv2Geb/0v0LEADheH8aK72GRAUJdnqnJVsQO60ki1XO8M3keEhnjm+T5NvLm41pNXAVYAPiSg==",
      "path": "runtime.linux-arm.runtime.native.system.io.ports/7.0.0",
      "hashPath": "runtime.linux-arm.runtime.native.system.io.ports.7.0.0.nupkg.sha512"
    },
    "runtime.linux-arm64.runtime.native.System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-5VCyRCtCIYU8FR/W8oo7ouFuJ8tmAg9ddsuXhfCKZfZrbaVZSKxkmNBa6fxkfYPueD0jQfOvwFBmE5c6zalCSw==",
      "path": "runtime.linux-arm64.runtime.native.system.io.ports/7.0.0",
      "hashPath": "runtime.linux-arm64.runtime.native.system.io.ports.7.0.0.nupkg.sha512"
    },
    "runtime.linux-x64.runtime.native.System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-DV9dWDUs23OoZqMWl5IhLr3D+b9koDiSHQxFKdYgWnQbnthv8c/yDjrlrI8nMrDc71RAKCO8jlUojzuPMX04gg==",
      "path": "runtime.linux-x64.runtime.native.system.io.ports/7.0.0",
      "hashPath": "runtime.linux-x64.runtime.native.system.io.ports.7.0.0.nupkg.sha512"
    },
    "runtime.native.System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-L4Ivegqc3B0Fee7VifFy2JST9nndm+uvJ0viLIZUaImDfnr+JmRin9Tbqd56KuMtm0eVxHpNOWZBPtKrA/1h5Q==",
      "path": "runtime.native.system.io.ports/7.0.0",
      "hashPath": "runtime.native.system.io.ports.7.0.0.nupkg.sha512"
    },
    "runtime.osx-arm64.runtime.native.System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-jFwh4sKSXZ7al5XrItEO4GdGWa6XNxvNx+LhEHjrSzOwawO1znwJ+Dy+VjnrkySX9Qi4bnHNLoiqOXbqMuka4g==",
      "path": "runtime.osx-arm64.runtime.native.system.io.ports/7.0.0",
      "hashPath": "runtime.osx-arm64.runtime.native.system.io.ports.7.0.0.nupkg.sha512"
    },
    "runtime.osx-x64.runtime.native.System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-X4LrHEfke/z9+z+iuVr35NlkhdZldY8JGNMYUN+sfPK/U/6TcE+vP44I0Yv0ir1v0bqIzq3v6Qdv1c1vmp8s4g==",
      "path": "runtime.osx-x64.runtime.native.system.io.ports/7.0.0",
      "hashPath": "runtime.osx-x64.runtime.native.system.io.ports.7.0.0.nupkg.sha512"
    },
    "SunnyUI/3.0.9": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-vHcSRseYkdPSq61jhVwkEIIlxYj+bs/uRp69mPVlV6fMB9EwcnyeTpcylR8JS/mrsfQTwgE1OyLycuq4giPxHQ==",
      "path": "sunnyui/3.0.9",
      "hashPath": "sunnyui.3.0.9.nupkg.sha512"
    },
    "SunnyUI.Common/3.0.9": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-yuwNefnAP7XzWfL6vRkyYg/nHQ5nbruI42ueo5RpJR0lbno87r4HfKL+yzV5Gg2DPtSr4ta7axaSPpP7GeWpeg==",
      "path": "sunnyui.common/3.0.9",
      "hashPath": "sunnyui.common.3.0.9.nupkg.sha512"
    },
    "System.Diagnostics.DiagnosticSource/4.7.1": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-j81Lovt90PDAq8kLpaJfJKV/rWdWuEk6jfV+MBkee33vzYLEUsy4gXK8laa9V2nZlLM9VM9yA/OOQxxPEJKAMw==",
      "path": "system.diagnostics.diagnosticsource/4.7.1",
      "hashPath": "system.diagnostics.diagnosticsource.4.7.1.nupkg.sha512"
    },
    "System.Globalization/4.3.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-kYdVd2f2PAdFGblzFswE4hkNANJBKRmsfa2X5LG2AcWE1c7/4t0pYae1L8vfZ5xvE2nK/R9JprtToA61OSHWIg==",
      "path": "system.globalization/4.3.0",
      "hashPath": "system.globalization.4.3.0.nupkg.sha512"
    },
    "System.IO/4.3.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-3qjaHvxQPDpSOYICjUoTsmoq5u6QJAFRUITgeT/4gqkF1bajbSmb1kwSxEA8AHlofqgcKJcM8udgieRNhaJ5Cg==",
      "path": "system.io/4.3.0",
      "hashPath": "system.io.4.3.0.nupkg.sha512"
    },
    "System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-0nWQjM5IofaIGpvkifN+LLuYwBG6BHlpmphLhhOJepcW12G8qToGuNDRgBzeTVBZzp33wVsESSZ8hUOCfq+8QA==",
      "path": "system.io.ports/7.0.0",
      "hashPath": "system.io.ports.7.0.0.nupkg.sha512"
    },
    "System.Reflection/4.3.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-KMiAFoW7MfJGa9nDFNcfu+FpEdiHpWgTcS2HdMpDvt9saK3y/G4GwprPyzqjFH9NTaGPQeWNHU+iDlDILj96aQ==",
      "path": "system.reflection/4.3.0",
      "hashPath": "system.reflection.4.3.0.nupkg.sha512"
    },
    "System.Reflection.Primitives/4.3.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-5RXItQz5As4xN2/YUDxdpsEkMhvw3e6aNveFXUn4Hl/udNTCNhnKp8lT9fnc3MhvGKh1baak5CovpuQUXHAlIA==",
      "path": "system.reflection.primitives/4.3.0",
      "hashPath": "system.reflection.primitives.4.3.0.nupkg.sha512"
    },
    "System.Resources.ResourceManager/4.3.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-/zrcPkkWdZmI4F92gL/TPumP98AVDu/Wxr3CSJGQQ+XN6wbRZcyfSKVoPo17ilb3iOr0cCRqJInGwNMolqhS8A==",
      "path": "system.resources.resourcemanager/4.3.0",
      "hashPath": "system.resources.resourcemanager.4.3.0.nupkg.sha512"
    },
    "System.Runtime/4.3.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-JufQi0vPQ0xGnAczR13AUFglDyVYt4Kqnz1AZaiKZ5+GICq0/1MH/mO/eAJHt/mHW1zjKBJd7kV26SrxddAhiw==",
      "path": "system.runtime/4.3.0",
      "hashPath": "system.runtime.4.3.0.nupkg.sha512"
    },
    "System.Text.Encoding/4.3.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-BiIg+KWaSDOITze6jGQynxg64naAPtqGHBwDrLaCtixsa5bKiR8dpPOHA7ge3C0JJQizJE+sfkz1wV+BAKAYZw==",
      "path": "system.text.encoding/4.3.0",
      "hashPath": "system.text.encoding.4.3.0.nupkg.sha512"
    },
    "System.Threading.Tasks/4.3.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-LbSxKEdOUhVe8BezB/9uOGGppt+nZf6e1VFyw6v3DN6lqitm0OSn2uXMOdtP0M3W4iMcqcivm2J6UgqiwwnXiA==",
      "path": "system.threading.tasks/4.3.0",
      "hashPath": "system.threading.tasks.4.3.0.nupkg.sha512"
    },
    "Bro.Common.Model/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "halcondotnet/12.0.0.0": {
      "type": "reference",
      "serviceable": false,
      "sha512": ""
    },
    "hdevenginedotnet/12.0.0.0": {
      "type": "reference",
      "serviceable": false,
      "sha512": ""
    },
    "dog_net_windows/1.0.1.28668": {
      "type": "reference",
      "serviceable": false,
      "sha512": ""
    }
  }
}